<template>
  <div class="item">
    <img class="item__image" @click="onClick" :src="this.item.image" />
    <div class="item__info">
      <div class="item__short-info">
        <div class="item__title">{{ this.item.title }}</div>
        <div class="item__genre">{{ this.item.genre }}</div>
      </div>
      <div class="item__release-date">
        {{ this.item.releaseDate | releaseYear }}
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "search-result-item",
  props: {
    item: {
      type: Object,
      required: true,
      default: () => ({
        image: "",
        title: "",
        genre: "",
        releaseDate: ""
      })
    }
  },
  methods: {
    onClick() {
      this.$router.push({ name: "Details", params: { id: this.item.id } });
    }
  }
};
</script>

<style scoped>
.item {
  display: flex;
  flex-direction: column;
  max-width: 334px;
}

.item__image {
  width: 334px;
}

.item__info {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-family: sans-serif;
  color: white;
  background-color: #232323;
}

.item__release-date {
  display: flex;
  align-items: center;
  border: 1px solid white;
}
</style>
